.svg-icon{
    display: flex;
    align-items: center;
    justify-content: center;
    box-sizing: border-box;
    margin: 10px;
}
//icon size 16px
.svg-icon--xxsmall{
    width: 1rem;
    height: 1rem;
    svg{
        width: 0.75rem;
        height: 0.75rem;
    }
}
//icon size 24px
.svg-icon--xsmall{
    width: 1.5rem;
    height: 1.5rem;
    svg{
        width: 1rem;
        height: 1rem;
    }
}
//icon size 32px
.svg-icon--small{
    width: 2rem;
    height: 2rem;
    svg{
        width: 1.25rem;
        height: 1.25rem;
    }
}
//icon size 40px
.svg-icon--medium{
    width: 2.5rem;
    height: 2.5rem;
    svg{
        width: 1.5rem;
        height: 1.5rem;
    }
}
//icon size 60px
.svg-icon--large{
    width: 3.75rem;
    height: 3.75rem;
    svg{
        width: 2.5rem;
        height: 2.5rem;
    }
}
//icon size 96px
.svg-icon--xlarge{
    width: 6rem;
    height: 6rem;
    svg{
        width: 4rem;
        height: 4rem;
    }
}
//icon size 256px
.svg-icon--xxlarge{
    width: 256px;
    height: 256px;
    svg{
        width: 180px;
        height: 180px;
    }
}


